package com.base.datarecovery.utils

import com.base.datarecovery.BuildConfig
import android.util.Log

object LogEx {
    val isOpen = true
    val filterTAG = arrayOf(
        "FileScanActivity",
        "FileHexEx",
        "FileGridAdapter"
    )

    fun logDebug(tag: String, content: String, isMust: Boolean = false) {
        if (isMust) {
            Log.e(tag, content)
        } else {
            if (!isOpen) return
            if (filterTAG.contains(tag)) return
            if (BuildConfig.DEBUG) {
                Log.e(tag, content)
            }
        }
    }
}